package de.intevation.flys.artifacts.model.fixings;

import java.util.Comparator;

import java.io.Serializable;

public class AnalysisPeriodsKM
implements   Serializable
{
    public static final double EPSILON = 1e-5;

    public static final Comparator<AnalysisPeriodsKM> KM_COMPARATOR =
        new Comparator<AnalysisPeriodsKM>() {
            @Override
            public int compare(AnalysisPeriodsKM a, AnalysisPeriodsKM b) {
                double d = a.km - b.km;
                if (d < EPSILON) return -1;
                return d > EPSILON ? +1 : 0;
            }
        };

    protected double            km;
    protected AnalysisPeriod [] analysisPeriods;

    public AnalysisPeriodsKM() {
    }

    public AnalysisPeriodsKM(double km) {
        this.km = km;
    }

    public AnalysisPeriodsKM(double km, AnalysisPeriod [] analysisPeriods) {
        this(km);
        this.analysisPeriods = analysisPeriods;
    }

    public double getKm() {
        return km;
    }

    public void setKm(double km) {
        this.km = km;
    }

    public AnalysisPeriod [] getAnalysisPeriods() {
        return analysisPeriods;
    }

    public void setAnalysisPeriods(AnalysisPeriod [] analysisPeriods) {
        this.analysisPeriods = analysisPeriods;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
